<?php

namespace App\Controllers;
use App\Models as M;

class Rafting extends BaseController
{
    protected function prikaz($page, $data) {
        
        $rpM = new M\RaftingPutanjaModel();
        $rafting_putanje = $rpM->findAll();
        $daM = new M\DodatnaAktivnostModel();
        $dodatne_aktivnosti = $daM->findAll();
        $data['rafting_putanje'] = $rafting_putanje;
        $data['dodatne_aktivnosti'] = $dodatne_aktivnosti;
        
        echo view("stranice/$page", $data);
    }
    
    protected function cena($broj_gostiju, $rp, $daIzabrano, $broj_nocenja) {
        
        $cena = $rp->cena;
        foreach ($daIzabrano as $da) {
            $cena += $da->cena;
        }
        
        $cenovnikModel = new M\CenovnikNocenjaModel();
        $cena_nocenja = 18;
        foreach ($cenovnikModel->findAll() as $c) {
            if ($broj_nocenja >= $c->min_broj_nocenja && $broj_nocenja <= $c->max_broj_nocenja) {
                $cena_nocenja = $c->cena_po_nocenju;
            }
        }
        $cena += $cena_nocenja * $broj_nocenja;
        $cena *= $broj_gostiju;
        return $cena;
        
    }
    
    public function index()
    {
//        $this->session->set('nosilac', "");
//        $this->session->set('broj_gostiju', "");
//        $this->session->set('broj_nocenja', "");
//        $this->session->set('rp_id', 0);
//        
//        $daM = new M\DodatnaAktivnostModel();
//        $dodatne_aktivnosti = $daM->findAll();
//        
//        foreach($dodatne_aktivnosti as $da) {
//            $this->session->set("dodatna_aktivnost_{$da->dodatna_aktivnost_id}", 0);
//        }
        return $this->prikaz("rafting_prijava", []);
    }
    
    public function prijava() {
        $nosilac = $this->request->getVar('nosilac_prijave');
        $rafting_putanja = $this->request->getVar('rafting_putanja');
        $rp = (new M\RaftingPutanjaModel())->find($rafting_putanja);
        $broj_nocenja = $this->request->getVar('broj_nocenja');
        $broj_gostiju = $this->request->getVar('broj_gostiju');
        
        $daM = new M\DodatnaAktivnostModel();
        $dodatne_aktivnosti = $daM->findAll();
        
        $daIzabrano = [];
        foreach($dodatne_aktivnosti as $da) {
            if ($this->request->getVar("dodatna_aktivnost_{$da->dodatna_aktivnost_id}") == "{$da->dodatna_aktivnost_id}") {
                array_push($daIzabrano, $da);
                $this->session->set("dodatna_aktivnost_{$da->dodatna_aktivnost_id}", 1);
            }
            else {
                $this->session->set("dodatna_aktivnost_{$da->dodatna_aktivnost_id}", 0);
            }
        }
        $this->session->set('nosilac', $nosilac);
        $this->session->set('broj_gostiju', $broj_gostiju);
        $this->session->set('broj_nocenja', $broj_nocenja);
        $this->session->set('rp_id', $rafting_putanja);
        
        if ($nosilac == "" || $broj_gostiju == "" || $broj_nocenja == "") {
            return $this->prikaz("rafting_prijava", [
                'poruka' => "Nosilac i broj gostiju i broj nocenja su obavezna polja"
            ]);
        }
        if ($broj_gostiju < 2 || $broj_gostiju > 10) {
            return $this->prikaz("rafting_prijava", [
                'poruka' => "Broj gostiju je izmedju 2 i 10"
            ]);
        }
        if ($broj_gostiju < 2 || $broj_gostiju > 10) {
            return $this->prikaz("rafting_prijava", [
                'poruka' => "Broj gostiju je izmedju 2 i 10"
            ]);
        }
        $br = count($daIzabrano);
        if (($br == 0 && $broj_nocenja < 1) || ($br > 0 && $broj_nocenja < $br + 2)) {
            return $this->prikaz("rafting_prijava", [
                'poruka' => "Broj nocenja nije adekvatan"
            ]);
        }

        // racunanje cene:
        $cena = $this->cena($broj_gostiju, $rp, $daIzabrano, $broj_nocenja);
        $this->session->set('cena', $cena);

        return $this->prikaz("pregled_prijave", [
            'cena' => $cena
        ]);    
    }
    
    public function potvrda() {           
        
        $prijavaModel = new M\PrijavaModel();
        $prijavaModel->save([
            'nosilac_prijave' => $this->session->get('nosilac'),
            'broj_nocenja' =>$this->session->get('broj_nocenja'),
            'broj_gostiju' => $this->session->get('broj_gostiju'),
            'cena' => $this->session->get('cena'),
            'rafting_putanja_id' => $this->session->get('rp_id'),   
        ]);
        
//        $this->prikaz("rafting_prijava", [
//            'poruka' => "Uspesno ste se prijavili!"
//        ]);   
        return redirect()->to(site_url("Rafting/index")); 
    }
    
    public function povratak() {
        return redirect()->to(site_url("Rafting/index")); 
    }
}
