-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jul 22, 2022 at 05:08 PM
-- Server version: 8.0.27
-- PHP Version: 7.4.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `rafting`
--
CREATE DATABASE IF NOT EXISTS `rafting` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `rafting`;

-- --------------------------------------------------------

--
-- Table structure for table `cenovnik_nocenja`
--

DROP TABLE IF EXISTS `cenovnik_nocenja`;
CREATE TABLE IF NOT EXISTS `cenovnik_nocenja` (
  `cenovnik_nocenja_id` int NOT NULL AUTO_INCREMENT,
  `min_broj_nocenja` int NOT NULL,
  `max_broj_nocenja` int NOT NULL,
  `cena_po_nocenju` int NOT NULL,
  PRIMARY KEY (`cenovnik_nocenja_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `cenovnik_nocenja`
--

INSERT INTO `cenovnik_nocenja` (`cenovnik_nocenja_id`, `min_broj_nocenja`, `max_broj_nocenja`, `cena_po_nocenju`) VALUES
(1, 1, 2, 25),
(2, 3, 4, 20),
(3, 5, 20, 18);

-- --------------------------------------------------------

--
-- Table structure for table `dodatna_aktivnost`
--

DROP TABLE IF EXISTS `dodatna_aktivnost`;
CREATE TABLE IF NOT EXISTS `dodatna_aktivnost` (
  `dodatna_aktivnost_id` int NOT NULL AUTO_INCREMENT,
  `naziv` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `cena` int NOT NULL,
  PRIMARY KEY (`dodatna_aktivnost_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `dodatna_aktivnost`
--

INSERT INTO `dodatna_aktivnost` (`dodatna_aktivnost_id`, `naziv`, `cena`) VALUES
(1, 'Pesacka tura', 20),
(2, 'Jeep Safary', 35),
(3, 'Kanjoning', 40),
(4, 'Voznja kvadovima', 50);

-- --------------------------------------------------------

--
-- Table structure for table `obuhvata`
--

DROP TABLE IF EXISTS `obuhvata`;
CREATE TABLE IF NOT EXISTS `obuhvata` (
  `prijava_id` int NOT NULL,
  `dodatna_aktivnost_id` int NOT NULL,
  PRIMARY KEY (`prijava_id`,`dodatna_aktivnost_id`),
  KEY `obuhvata_ibfk_2` (`dodatna_aktivnost_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `obuhvata`
--

INSERT INTO `obuhvata` (`prijava_id`, `dodatna_aktivnost_id`) VALUES
(1, 3),
(1, 4);

-- --------------------------------------------------------

--
-- Table structure for table `prijava`
--

DROP TABLE IF EXISTS `prijava`;
CREATE TABLE IF NOT EXISTS `prijava` (
  `prijava_id` int NOT NULL AUTO_INCREMENT,
  `nosilac_prijave` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `broj_nocenja` int NOT NULL,
  `broj_gostiju` int NOT NULL,
  `cena` int NOT NULL,
  `rafting_putanja_id` int NOT NULL,
  PRIMARY KEY (`prijava_id`),
  KEY `prijava_ibfk_1` (`rafting_putanja_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `prijava`
--

INSERT INTO `prijava` (`prijava_id`, `nosilac_prijave`, `broj_nocenja`, `broj_gostiju`, `cena`, `rafting_putanja_id`) VALUES
(1, 'tasha', 3, 4, 800, 3),
(2, 'kaca', 2, 3, 315, 1),
(3, 'kaca', 3, 2, 230, 1),
(4, 'kaca', 3, 2, 230, 1),
(5, 'katarina', 4, 2, 270, 1),
(6, 'katarina', 4, 2, 270, 1);

-- --------------------------------------------------------

--
-- Table structure for table `rafting_putanja`
--

DROP TABLE IF EXISTS `rafting_putanja`;
CREATE TABLE IF NOT EXISTS `rafting_putanja` (
  `rafting_putanja_id` int NOT NULL AUTO_INCREMENT,
  `naziv` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `cena` int NOT NULL,
  PRIMARY KEY (`rafting_putanja_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `rafting_putanja`
--

INSERT INTO `rafting_putanja` (`rafting_putanja_id`, `naziv`, `cena`) VALUES
(1, 'Gornji rok reke tare', 35),
(2, 'Donji rok reke tare', 30),
(3, 'Tara i Drina', 50);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `obuhvata`
--
ALTER TABLE `obuhvata`
  ADD CONSTRAINT `obuhvata_ibfk_1` FOREIGN KEY (`prijava_id`) REFERENCES `prijava` (`prijava_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `obuhvata_ibfk_2` FOREIGN KEY (`dodatna_aktivnost_id`) REFERENCES `dodatna_aktivnost` (`dodatna_aktivnost_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `prijava`
--
ALTER TABLE `prijava`
  ADD CONSTRAINT `prijava_ibfk_1` FOREIGN KEY (`rafting_putanja_id`) REFERENCES `rafting_putanja` (`rafting_putanja_id`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
